{ pkgs, rice,... }:
{
  home = {
    packages = with pkgs; [ wlogout ];
    file = {
      ".config/wlogout/style.css".text = /* css */ ''
        * { all: unset; }

        window {
            font-family: ${rice.font.code.name}, monospace;
            font-size: 12pt;
            color: ${rice.color.foreground}; 
            background-color: rgba(0, 0, 0, ${builtins.toString rice.transparency});
        }

        button {
            transition: box-shadow 0.2s ease-in-out, background-color 0.2s ease-in-out;
            text-shadow: none;
            border: none;
            color: ${rice.color.foreground};
            background-color: ${rice.color.background};
            margin: 5px;
        }

        button:hover {
            color: ${rice.color.blue.base};
        }

        button:focus {
            color: ${rice.color.blue.base};
        }
      '';
      ".config/wlogout/layout".text = /* json */ ''
        {
            "label": "lock",
            "action": "hyprlock",
            "text": "[L]ock",
            "height": 0,
            "width": 0,
            "keybind": "l"
        }
        {
            "label": "reboot",
            "action": "systemctl reboot",
            "text": "[R]eboot",
            "height": 0,
            "width": 0,
            "keybind": "r"
        }
        {
            "label": "shutdown",
            "action": "systemctl poweroff",
            "text": "[S]hutdown",
            "height": 0,
            "width": 0,
            "keybind": "s"
        }
        {
            "label": "logout",
            "action": "hyprctl dispatch exit 0",
            "text": "Lo[g]out",
            "height": 0,
            "width": 0,
            "keybind": "g"
        }
        {
            "label": "suspend",
            "action": "systemctl suspend",
            "text": "S[u]spend",
            "height": 0,
            "width": 0,
            "keybind": "u"
        }
        {
            "label": "hibernate",
            "action": "systemctl hibernate",
            "text": "[H]ibernate",
            "height": 0,
            "width": 0,
            "keybind": "h"
        }
      '';
    };
  };
}
